Your message dated Tue, 27 Sep 2011 14:53:49 +0000
with message-id <e1r8z2b-0007mg...@franck.debian.org>
and subject line Bug#642566: fixed in saga 2.0.7+dfsg-2
has caused the Debian Bug report #642566,
regarding python-saga: doesn't depend on python
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
642566: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642566
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: python-saga
Version: 2.0.7+dfsg-1
Severity: serious
Justification: Policy 3.5
Tags: patch

python-saga doesn't depend on python. The attached patch fixed this bug. (The "--no-guessing-versions" hunk is necessary, because otherwise dh_python2 insists on having Python extensions modules available for all supported Python versions. The better solution would be to actually build them for all versions, but I don't have time to implement this.)

--
Jakub Wilk
diff -Nru saga-2.0.7+dfsg/debian/control saga-2.0.7+dfsg/debian/control
--- saga-2.0.7+dfsg/debian/control	2011-09-01 10:28:51.000000000 +0200
+++ saga-2.0.7+dfsg/debian/control	2011-09-23 23:20:43.000000000 +0200
@@ -53,7 +53,7 @@
 Package: python-saga
 Section: science
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsaga (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libsaga (= ${binary:Version})
 Suggests: saga (= ${binary:Version})
 Description: SAGA GIS python bindings
  SAGA GIS (System for Automated Geoscientific Analyses) is a geographic
diff -Nru saga-2.0.7+dfsg/debian/rules saga-2.0.7+dfsg/debian/rules
--- saga-2.0.7+dfsg/debian/rules	2011-09-01 10:28:51.000000000 +0200
+++ saga-2.0.7+dfsg/debian/rules	2011-09-24 00:07:23.000000000 +0200
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with-python2
+	dh $@ --with python2
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-unicode --prefix=/usr --enable-python
@@ -13,6 +13,9 @@
 debian/% :: debian/%.in
 	sed -e 's/@VERSION@/$(VERSION)/' $< >$@
 
+override_dh_python2:
+	dh_python2 --no-guessing-versions
+
 get-orig-source:
 	wget $(UPSTREAM_URL)
 	gunzip *.tar.gz

--- End Message ---
--- Begin Message ---
Source: saga
Source-Version: 2.0.7+dfsg-2

We believe that the bug you reported is fixed in the latest version of
saga, which is due to be installed in the Debian FTP archive:

libsaga-dev_2.0.7+dfsg-2_i386.deb
  to main/s/saga/libsaga-dev_2.0.7+dfsg-2_i386.deb
libsaga_2.0.7+dfsg-2_i386.deb
  to main/s/saga/libsaga_2.0.7+dfsg-2_i386.deb
python-saga_2.0.7+dfsg-2_i386.deb
  to main/s/saga/python-saga_2.0.7+dfsg-2_i386.deb
saga_2.0.7+dfsg-2.debian.tar.gz
  to main/s/saga/saga_2.0.7+dfsg-2.debian.tar.gz
saga_2.0.7+dfsg-2.dsc
  to main/s/saga/saga_2.0.7+dfsg-2.dsc
saga_2.0.7+dfsg-2_i386.deb
  to main/s/saga/saga_2.0.7+dfsg-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Francesco Paolo Lovergine <fran...@debian.org> (supplier of updated saga 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 27 Sep 2011 15:27:31 +0200
Source: saga
Binary: saga libsaga-dev libsaga python-saga
Architecture: source i386
Version: 2.0.7+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Francesco Paolo Lovergine <fran...@debian.org>
Description: 
 libsaga    - SAGA GIS development files
 libsaga-dev - SAGA GIS development files
 python-saga - SAGA GIS python bindings
 saga       - System for Automated Geoscientific Analyses
Closes: 642566
Changes: 
 saga (2.0.7+dfsg-2) unstable; urgency=low
 .
   [ Francesco Paolo Lovergine ]
   * Added missing ${python:Depends} in python-saga and remove autodetection
     of python versions. Thanks Jakub Wilk.
     (closes: #642566)
 .
   [ Johan Van de Wauw ]
   * Install man-files correctly.
   * Add python-saga to the right section.
Checksums-Sha1: 
 f865374cdb86824dc8dc68c8b6c1ee4719ccd632 1608 saga_2.0.7+dfsg-2.dsc
 2f96534333e70b7d70f8cfba750e00caab6da7af 192597 saga_2.0.7+dfsg-2.debian.tar.gz
 1f461becfba36dd4675677bee246248f86299ecc 2847820 saga_2.0.7+dfsg-2_i386.deb
 c3f688d772a588c14d58ab0f0bfa99d291735b6f 136352 
libsaga-dev_2.0.7+dfsg-2_i386.deb
 a44f3268fb6f251d3b349d2d2e5450d75294d0e2 545388 libsaga_2.0.7+dfsg-2_i386.deb
 9c594565b4911ec49f9d26798b9d384cd6f87b7c 576822 
python-saga_2.0.7+dfsg-2_i386.deb
Checksums-Sha256: 
 3b23d7883a031d30068b4cd6753545031d5ccdf42191caba59064ef70f6f6e6d 1608 
saga_2.0.7+dfsg-2.dsc
 f7888a657b62bf6dc17ddb1455d42a12e1ebc3a62e5af8975d16a85cb027658f 192597 
saga_2.0.7+dfsg-2.debian.tar.gz
 37a7c9e97f421d588d7c502d0db92668a6a301bca0da681c879035b4373d91d0 2847820 
saga_2.0.7+dfsg-2_i386.deb
 3b4741cfe33d1942efd0d7cca11916fcc38506884faf7bcfd21ef75f57b16e7d 136352 
libsaga-dev_2.0.7+dfsg-2_i386.deb
 beea877e0eae271835d4dedfe380f3659d8a365b40490a952436a19b717816b2 545388 
libsaga_2.0.7+dfsg-2_i386.deb
 64b3dd2dfc8611b5997d752efffcec704d68910f6109ab48695489d2bec1f214 576822 
python-saga_2.0.7+dfsg-2_i386.deb
Files: 
 7a0e506e5ec5d9afcd500feb951a4e15 1608 science optional saga_2.0.7+dfsg-2.dsc
 0423d4682d1825064778c406deec8aff 192597 science optional 
saga_2.0.7+dfsg-2.debian.tar.gz
 6df1c07274902a0e42cff785bc2b0398 2847820 science optional 
saga_2.0.7+dfsg-2_i386.deb
 31e8f27a29f2c331b7f55094dafb3568 136352 libdevel optional 
libsaga-dev_2.0.7+dfsg-2_i386.deb
 b15bf3de92778afec154769f638f0861 545388 libs optional 
libsaga_2.0.7+dfsg-2_i386.deb
 f8db1c4f164e8e0178749e0d27db3f27 576822 python optional 
python-saga_2.0.7+dfsg-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6B1xIACgkQpFNRmenyx0cSTgCg/Ip4fHT8/iBC96Gprp3RpuH2
/BwAn0TBci0TxtFJYYEbGTJ8FMycisJs
=dJWt
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to